package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStoreTicketDiscountEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店优惠券活动Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-07 16:06:28
 */
public interface MkStoreTicketDiscountService {

    /**
     * 根据主键查询实体
     *
     * @param tickDiscId 主键
     * @return 实体
     */
    MkStoreTicketDiscountEntity queryObject(Integer tickDiscId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStoreTicketDiscountEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStoreTicketDiscount 实体
     * @return 保存条数
     */
    int save(MkStoreTicketDiscountEntity mkStoreTicketDiscount);

    /**
     * 根据主键更新实体
     *
     * @param mkStoreTicketDiscount 实体
     * @return 更新条数
     */
    int update(MkStoreTicketDiscountEntity mkStoreTicketDiscount);

    /**
     * 根据主键删除
     *
     * @param tickDiscId
     * @return 删除条数
     */
    int delete(Integer tickDiscId);

    /**
     * 根据主键批量删除
     *
     * @param tickDiscIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] tickDiscIds);
}
